Clicked on Mozilla Mac OS X trunk and immediate crash

RESOLVED WORKSFORME

Status

()

Core
Plug-ins
--
critical
RESOLVED WORKSFORME
16 years ago
16 years ago

People

(Reporter: Alan Heflich, Assigned: rubydoo123)

Tracking

({crash})

Trunk
PowerPC
Mac OS X
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

16 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:0.9.8+)
Gecko/20020227
BuildID:    2002022708

Selected LATEST BUILDS from QA menu of OS X Monzilla. Clicked on the Lasted Mac
OS X build to download it and there was an IMMEDIATE crash.

I have Console set to report debugging. That report follows this followed by my
Plugin report (from experience reporting other bugs here).
Date/Time:  2002-02-20 08:19:02 -0700
OS Version: 10.1.3 (Build 5Q45)

Command:    Mozilla
PID:        334

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0:
 #0   0x014c8584 in 0x14c8584
 #1   0x014c8578 in 0x14c8578
 #2   0x014c8ba4 in 0x14c8ba4
 #3   0x0230e4a8 in InitializePlugin__18ns4xPluginInstanceFP21nsIPluginInstancePee
 #4   0x0230e040 in ns4xPluginInstance::Initialize(nsIPluginInstancePeer *)
 #5   0x0231e040 in SetUpPluginInstance__16nsPluginHostImplFPCcP6nsIURIP22nsIPlugi
 #6   0x0231d1fc in InstantiateFullPagePlugin__16nsPluginHostImplFPCcR8nsStringRP1
 #7   0x0232d8bc in PluginViewerImpl::CreatePlugin(nsIRequest *, nsIPluginHost *)
 #8   0x0232d630 in StartLoad__16PluginViewerImplFP10nsIRequestRP17nsIStreamListen
 #9   0x0232f4d0 in PluginListener::OnStartRequest(nsIRequest *, nsISupports *)
 #10  0x01c3aca0 in OnStartRequest__18nsDocumentOpenInfoFP10nsIRequestP11nsISuppor
 #11  0x018f2984 in nsHttpChannel::ProcessNormal(void)
 #12  0x018f26a8 in nsHttpChannel::ProcessResponse(void)
 #13  0x018fa680 in nsHttpChannel::OnStartRequest(nsIRequest *, nsISupports *)
 #14  0x018ecde8 in nsOnStartRequestEvent::HandleEvent(void)
 #15  0x018ec150 in nsARequestObserverEvent::HandlePLEvent(PLEvent *)
 #16  0x005e1a30 in PL_HandleEvent
 #17  0x005e189c in PL_ProcessPendingEvents
 #18  0x0058817c in nsEventQueueImpl::ProcessPendingEvents(void)
 #19  0x01acd84c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #20  0x01acd610 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #21  0x00107b14 in Repeater::DoRepeaters(EventRecord const &)
 #22  0x01ae0af8 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #23  0x01ae06d0 in nsMacMessagePump::DoMessagePump(void)
 #24  0x01ae000c in nsAppShell::Run(void)
 #25  0x01a95e4c in nsAppShellService::Run(void)
 #26  0x004b7bb4 in main1(int, char **, nsISupports *)
 #27  0x004b868c in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x7003f2b8 in _pthread_cond_wait
 #3   0x70283ea4 in TSWaitOnConditionTimedRelative
 #4   0x7027d748 in TSWaitOnSemaphoreCommon
 #5   0x702c2078 in TimerThread
 #6   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250ab0 in TSWaitOnCondition
 #3   0x7027d730 in TSWaitOnSemaphoreCommon
 #4   0x70243d14 in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body


PPC Thread State:
  srr0: 0x014c8584 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000018   lr: 0x014c8578  ctr: 0x0053b5d0   mq: 0x00000000
    r0: 0x014c8578   r1: 0xbfffeae0   r2: 0x03eea630   r3: 0x035057e0
    r4: 0x03504fe0   r5: 0x035057dc   r6: 0x00000000   r7: 0x00000000
    r8: 0x00000000   r9: 0x00000000  r10: 0x03b51eea  r11: 0x00000001
   r12: 0x001009a0  r13: 0x00000000  r14: 0x00000036  r15: 0x000649f0
   r16: 0x00000001  r17: 0x80160fa8  r18: 0x00058638  r19: 0x00001b07
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004234  r23: 0x700042c8
   r24: 0x7016b0dc  r25: 0x006bac3c  r26: 0x8081ab5c  r27: 0xc0d89c00
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x00000000  r31: 0x00000001

**********

Date/Time:  2002-02-27 10:54:01 -0700
OS Version: 10.1.3 (Build 5Q45)

Command:    Mozilla
PID:        404

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0:
 #0   0x00191584 in 0x191584
 #1   0x00191578 in 0x191578
 #2   0x00191ba4 in 0x191ba4
 #3   0x023e24a8 in InitializePlugin__18ns4xPluginInstanceFP21nsIPluginInstancePee
 #4   0x023e2040 in ns4xPluginInstance::Initialize(nsIPluginInstancePeer *)
 #5   0x023f2040 in SetUpPluginInstance__16nsPluginHostImplFPCcP6nsIURIP22nsIPlugi
 #6   0x023f11fc in InstantiateFullPagePlugin__16nsPluginHostImplFPCcR8nsStringRP1
 #7   0x024018bc in PluginViewerImpl::CreatePlugin(nsIRequest *, nsIPluginHost *)
 #8   0x02401630 in StartLoad__16PluginViewerImplFP10nsIRequestRP17nsIStreamListen
 #9   0x024034d0 in PluginListener::OnStartRequest(nsIRequest *, nsISupports *)
 #10  0x01d0eca0 in OnStartRequest__18nsDocumentOpenInfoFP10nsIRequestP11nsISuppor
 #11  0x034de370 in nsFTPChannel::OnStartRequest(nsIRequest *, nsISupports *)
 #12  0x034df860 in DelayedOnStartRequest__20DataRequestForwarderFP10nsIRequestP11
 #13  0x034dfd40 in OnDataAvailable__20DataRequestForwarderFP10nsIRequestP11nsISup
 #14  0x01973b20 in nsOnDataAvailableEvent::HandleEvent(void)
 #15  0x01982150 in nsARequestObserverEvent::HandlePLEvent(PLEvent *)
 #16  0x0066ba30 in PL_HandleEvent
 #17  0x0066b89c in PL_ProcessPendingEvents
 #18  0x0061217c in nsEventQueueImpl::ProcessPendingEvents(void)
 #19  0x01ba184c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #20  0x01ba1610 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #21  0x000e5b14 in Repeater::DoRepeaters(EventRecord const &)
 #22  0x01bb4af8 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #23  0x01bb46d0 in nsMacMessagePump::DoMessagePump(void)
 #24  0x01bb400c in nsAppShell::Run(void)
 #25  0x01b71e4c in nsAppShellService::Run(void)
 #26  0x00541bb4 in main1(int, char **, nsISupports *)
 #27  0x0054268c in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x7003f2b8 in _pthread_cond_wait
 #3   0x70283ea4 in TSWaitOnConditionTimedRelative
 #4   0x7027d748 in TSWaitOnSemaphoreCommon
 #5   0x702c2078 in TimerThread
 #6   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250ab0 in TSWaitOnCondition
 #3   0x7027d730 in TSWaitOnSemaphoreCommon
 #4   0x70243d14 in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body


PPC Thread State:
  srr0: 0x00191584 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000018   lr: 0x00191578  ctr: 0x005c55d0   mq: 0x00000000
    r0: 0x00191578   r1: 0xbfffeae0   r2: 0x0313a410   r3: 0x02c1a728
    r4: 0x02c1a200   r5: 0x02c1a724   r6: 0x00000000   r7: 0x00000000
    r8: 0x00000000   r9: 0x00000000  r10: 0x0358287a  r11: 0x00000001
   r12: 0x0018a9a0  r13: 0x00000000  r14: 0x00000036  r15: 0xbfffee58
   r16: 0x0005aef0  r17: 0x00000001  r18: 0x00679878  r19: 0x00000c07
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004234  r23: 0x700042c8
   r24: 0x00000004  r25: 0x000006eb  r26: 0x8081ab5c  r27: 0x00686370
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x8081d1cc  r31: 0x00000001

**********

Date/Time:  2002-02-27 12:37:50 -0700
OS Version: 10.1.3 (Build 5Q45)

Command:    Mozilla
PID:        433

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0:
 #0   0x01a67584 in 0x1a67584
 #1   0x01a67578 in 0x1a67578
 #2   0x01a67ba4 in 0x1a67ba4
 #3   0x024e161c in InitializePlugin__18ns4xPluginInstanceFP21nsIPluginInstancePee
 #4   0x024e11c0 in ns4xPluginInstance::Initialize(nsIPluginInstancePeer *)
 #5   0x024f1bc8 in SetUpPluginInstance__16nsPluginHostImplFPCcP6nsIURIP22nsIPlugi
 #6   0x024f0d90 in InstantiateFullPagePlugin__16nsPluginHostImplFPCcR8nsStringRP1
 #7   0x02502b5c in PluginViewerImpl::CreatePlugin(nsIRequest *, nsIPluginHost *)
 #8   0x025028c4 in StartLoad__16PluginViewerImplFP10nsIRequestRP17nsIStreamListen
 #9   0x02504a70 in PluginListener::OnStartRequest(nsIRequest *, nsISupports *)
 #10  0x01ca8e00 in OnStartRequest__18nsDocumentOpenInfoFP10nsIRequestP11nsISuppor
 #11  0x0198a3c4 in nsHttpChannel::ProcessNormal(void)
 #12  0x0198a0e8 in nsHttpChannel::ProcessResponse(void)
 #13  0x01992330 in nsHttpChannel::OnStartRequest(nsIRequest *, nsISupports *)
 #14  0x01984808 in nsOnStartRequestEvent::HandleEvent(void)
 #15  0x01983b80 in nsARequestObserverEvent::HandlePLEvent(PLEvent *)
 #16  0x00666670 in PL_HandleEvent
 #17  0x006664dc in PL_ProcessPendingEvents
 #18  0x0060c36c in nsEventQueueImpl::ProcessPendingEvents(void)
 #19  0x02222acc in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #20  0x02222890 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #21  0x01717b14 in Repeater::DoRepeaters(EventRecord const &)
 #22  0x022369e8 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #23  0x022365c0 in nsMacMessagePump::DoMessagePump(void)
 #24  0x02235f3c in nsAppShell::Run(void)
 #25  0x021eadfc in nsAppShellService::Run(void)
 #26  0x00538ba4 in main1(int, char **, nsISupports *)
 #27  0x0053967c in main

Thread 1:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body
 #5   0x90010008 in 0x90010008

Thread 2:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 4:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x7003f2b8 in _pthread_cond_wait
 #3   0x70283ea4 in TSWaitOnConditionTimedRelative
 #4   0x7027d748 in TSWaitOnSemaphoreCommon
 #5   0x702c2078 in TimerThread
 #6   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250ab0 in TSWaitOnCondition
 #3   0x7027d730 in TSWaitOnSemaphoreCommon
 #4   0x70243d14 in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 6:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body


PPC Thread State:
  srr0: 0x01a67584 srr1: 0x0000d030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x01a67578  ctr: 0x005c2970   mq: 0x00000000
    r0: 0x01a67578   r1: 0xbfffeac0   r2: 0x03afba40   r3: 0x037263b0
    r4: 0x037262e0   r5: 0x037263ac   r6: 0x00000000   r7: 0x00000000
    r8: 0x00000000   r9: 0x00000000  r10: 0x03b9281a  r11: 0x00000001
   r12: 0x001009a0  r13: 0x00000000  r14: 0x00000036  r15: 0x00680020
   r16: 0x00680020  r17: 0xbfffee90  r18: 0x00679878  r19: 0x00002807
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004234  r23: 0x700042c8
   r24: 0x00000004  r25: 0x000006eb  r26: 0x8081ab5c  r27: 0x00675620
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x00000000  r31: 0x00000001

**********

Date/Time:  2002-02-27 13:48:56 -0700
OS Version: 10.1.3 (Build 5Q45)

Command:    Mozilla
PID:        333

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0:
 #0   0x01a5d584 in 0x1a5d584
 #1   0x01a5d578 in 0x1a5d578
 #2   0x01a5dba4 in 0x1a5dba4
 #3   0x024d661c in InitializePlugin__18ns4xPluginInstanceFP21nsIPluginInstancePee
 #4   0x024d61c0 in ns4xPluginInstance::Initialize(nsIPluginInstancePeer *)
 #5   0x024e6bc8 in SetUpPluginInstance__16nsPluginHostImplFPCcP6nsIURIP22nsIPlugi
 #6   0x024e5d90 in InstantiateFullPagePlugin__16nsPluginHostImplFPCcR8nsStringRP1
 #7   0x024f7b5c in PluginViewerImpl::CreatePlugin(nsIRequest *, nsIPluginHost *)
 #8   0x024f78c4 in StartLoad__16PluginViewerImplFP10nsIRequestRP17nsIStreamListen
 #9   0x024f9a70 in PluginListener::OnStartRequest(nsIRequest *, nsISupports *)
 #10  0x01c9ee00 in OnStartRequest__18nsDocumentOpenInfoFP10nsIRequestP11nsISuppor
 #11  0x019803c4 in nsHttpChannel::ProcessNormal(void)
 #12  0x019800e8 in nsHttpChannel::ProcessResponse(void)
 #13  0x01988330 in nsHttpChannel::OnStartRequest(nsIRequest *, nsISupports *)
 #14  0x0197a808 in nsOnStartRequestEvent::HandleEvent(void)
 #15  0x01979b80 in nsARequestObserverEvent::HandlePLEvent(PLEvent *)
 #16  0x0066a670 in PL_HandleEvent
 #17  0x0066a4dc in PL_ProcessPendingEvents
 #18  0x0061036c in nsEventQueueImpl::ProcessPendingEvents(void)
 #19  0x02213acc in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #20  0x02213890 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #21  0x0177ab14 in Repeater::DoRepeaters(EventRecord const &)
 #22  0x022279e8 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #23  0x022275c0 in nsMacMessagePump::DoMessagePump(void)
 #24  0x02226f3c in nsAppShell::Run(void)
 #25  0x021dbdfc in nsAppShellService::Run(void)
 #26  0x00541ba4 in main1(int, char **, nsISupports *)
 #27  0x0054267c in main

Thread 1:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body
 #5   0x90010008 in 0x90010008

Thread 2:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 4:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x7003f2b8 in _pthread_cond_wait
 #3   0x70283ea4 in TSWaitOnConditionTimedRelative
 #4   0x7027d748 in TSWaitOnSemaphoreCommon
 #5   0x702c2078 in TimerThread
 #6   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250ab0 in TSWaitOnCondition
 #3   0x7027d730 in TSWaitOnSemaphoreCommon
 #4   0x70243d14 in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 6:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body


PPC Thread State:
  srr0: 0x01a5d584 srr1: 0x0000d030                vrsave: 0x00000000
   xer: 0x00000010   lr: 0x01a5d578  ctr: 0x005c6970   mq: 0x00000000
    r0: 0x01a5d578   r1: 0xbfffeac0   r2: 0x0397f0e0   r3: 0x0370d688
    r4: 0x0370d1f0   r5: 0x0370d684   r6: 0x00000000   r7: 0x00000000
    r8: 0x00000000   r9: 0x00000000  r10: 0x03c6a83a  r11: 0x00000001
   r12: 0x0018a9a0  r13: 0x00000000  r14: 0x00000036  r15: 0x00064ba0
   r16: 0x00000001  r17: 0x80160fa8  r18: 0x00058638  r19: 0x00001b07
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004234  r23: 0x700042c8
   r24: 0x7016b0dc  r25: 0x006bac3c  r26: 0x8081ab5c  r27: 0xc0d89c00
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x87859393  r31: 0x00000001

**********

Date/Time:  2002-03-20 22:22:15 -0700
OS Version: 10.1.3 (Build 5Q45)

Command:    Mozilla
PID:        315

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0:
 #0   0x01e5d584 in 0x1e5d584
 #1   0x01e5d578 in 0x1e5d578
 #2   0x01e5dba4 in 0x1e5dba4
 #3   0x028eb61c in InitializePlugin__18ns4xPluginInstanceFP21nsIPluginInstancePee
 #4   0x028eb1c0 in ns4xPluginInstance::Initialize(nsIPluginInstancePeer *)
 #5   0x028fbbc8 in SetUpPluginInstance__16nsPluginHostImplFPCcP6nsIURIP22nsIPlugi
 #6   0x028fad90 in InstantiateFullPagePlugin__16nsPluginHostImplFPCcR8nsStringRP1
 #7   0x0290cb5c in PluginViewerImpl::CreatePlugin(nsIRequest *, nsIPluginHost *)
 #8   0x0290c8c4 in StartLoad__16PluginViewerImplFP10nsIRequestRP17nsIStreamListen
 #9   0x0290ea70 in PluginListener::OnStartRequest(nsIRequest *, nsISupports *)
 #10  0x0209ee00 in OnStartRequest__18nsDocumentOpenInfoFP10nsIRequestP11nsISuppor
 #11  0x0438175c in nsFTPChannel::OnStartRequest(nsIRequest *, nsISupports *)
 #12  0x04383250 in DelayedOnStartRequest__20DataRequestForwarderFP10nsIRequestP11
 #13  0x04383760 in OnDataAvailable__20DataRequestForwarderFP10nsIRequestP11nsISup
 #14  0x01d6b8c0 in nsOnDataAvailableEvent::HandleEvent(void)
 #15  0x01d79b80 in nsARequestObserverEvent::HandlePLEvent(PLEvent *)
 #16  0x0066a670 in PL_HandleEvent
 #17  0x0066a4dc in PL_ProcessPendingEvents
 #18  0x0061036c in nsEventQueueImpl::ProcessPendingEvents(void)
 #19  0x02613acc in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #20  0x02613890 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #21  0x01b7ab14 in Repeater::DoRepeaters(EventRecord const &)
 #22  0x026279e8 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #23  0x026275c0 in nsMacMessagePump::DoMessagePump(void)
 #24  0x02626f3c in nsAppShell::Run(void)
 #25  0x025dbdfc in nsAppShellService::Run(void)
 #26  0x00541ba4 in main1(int, char **, nsISupports *)
 #27  0x0054267c in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x7003f2b8 in _pthread_cond_wait
 #3   0x70283ea4 in TSWaitOnConditionTimedRelative
 #4   0x7027d748 in TSWaitOnSemaphoreCommon
 #5   0x702c2078 in TimerThread
 #6   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250ab0 in TSWaitOnCondition
 #3   0x7027d730 in TSWaitOnSemaphoreCommon
 #4   0x70243d14 in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body


PPC Thread State:
  srr0: 0x01e5d584 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000020   lr: 0x01e5d578  ctr: 0x005c6970   mq: 0x00000000
    r0: 0x01e5d578   r1: 0xbfffeaa0   r2: 0x0402ecd0   r3: 0x041a8a68
    r4: 0x041a8480   r5: 0x041a8a64   r6: 0x00000000   r7: 0x00000000
    r8: 0x00000000   r9: 0x00000000  r10: 0x04257cba  r11: 0x00000001
   r12: 0x0018a9a0  r13: 0x00000000  r14: 0x00000036  r15: 0x00064980
   r16: 0x00000001  r17: 0x80160fa8  r18: 0x000585a8  r19: 0x00001b07
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004234  r23: 0x700042c8
   r24: 0x7016b0dc  r25: 0x006bac3c  r26: 0x8081ab5c  r27: 0xc0d89c00
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x00000000  r31: 0x00000001

**********

Installed plug-ins
Find more information about browser plug-ins at Netscape.com.

Default Plug-in

    File name: Macintosh HD:Applications:Mozilla
ƒ:Mozilla.app:Contents:MacOS:Plug-ins:Default Plug-in
Netscape Navigator Default Plug-in

Mime Type Description Suffixes Enabled
* All types * Yes

Speed Download Plugin

    File name: Macintosh HD:Users:alan:Library:Internet Plug-Ins:SpeedDownload
Browser Plugin
Speed Download Plugin. Allows Downloads to be redirected to Speed Download

Mime Type Description Suffixes Enabled
application/x-stuffit Stuffit Archive sit Yes
application/x-sit Stuffit Archive sit Yes
application/octet-stream MacBinary bin Yes
application/x-Binary MacBinary bin Yes
application/x-macbinary MacBinary bin Yes
application/macbinary MacBinary bin Yes
application/mac-binary Zip Archive bin Yes
application/mac-binhex40 Gzipped archive hqx Yes
application/x-mac-binhex40 hqx Yes
application/binhex4 hqx Yes
application/binhex hqx Yes
application/mac-binhex hqx Yes
application/x-binhex40 hqx Yes
application/mac-binhex40 hqx Yes
application/zip zip Yes
application/x-gzip gz Yes

Digital Rights Management Plugin

    File name: Macintosh HD:Library:Internet Plug-Ins:DRM Plugin.bundle
Provides support for Digital Rights Management

Mime Type Description Suffixes Enabled
application/x-drm Digital Rights Management Yes

Windows Media Plugin

    File name: Macintosh HD:Library:Internet Plug-Ins:Windows Media Plugin
Provides support for Windows Media.

Mime Type Description Suffixes Enabled
application/x-mplayer2 Windows Media Yes
video/x-ms-asf-plugin Windows Media Yes
application/asx Windows Media Yes
video/x-ms-asf Windows Media asf Yes
video/x-ms-asf Windows Media asx Yes
audio/x-ms-wma Windows Media wma Yes
video/x-ms-wmv Windows Media wmv Yes
audio/x-ms-wax Windows Media wax Yes
video/x-ms-wvx Windows Media wvx Yes
video/x-ms-wm Windows Media wm Yes
video/x-ms-wmp Windows Media wmp Yes
application/x-ms-wmd Windows Media wmd Yes
video/x-ms-wmx Windows Media wmx Yes

iTools Plug In

    File name: Macintosh HD:Library:Internet Plug-Ins:iTools Plug-in
Brought to you by Apple Computer, Inc..

Mime Type Description Suffixes Enabled
application/x-itool iTools Commands itl Yes

Shockwave Flash

    File name: Macintosh HD:Library:Internet Plug-Ins:Shockwave Flash NP-PPC
Shockwave Flash 5.0 r58

Mime Type Description Suffixes Enabled
application/x-shockwave-flash Shockwave Flash swf Yes
application/futuresplash FutureSplash Player spl Yes

Shockwave for Director

    File name: Macintosh HD:Library:Internet Plug-Ins:PluginLib
Macromedia Shockwave for Director Netscape plug-in, version 8.5.1

Mime Type Description Suffixes Enabled
application/x-director Shockwave Movie dcr,dir,dxr Yes

QuickTime Plug-in 5.0.2

    File name: Macintosh HD:Library:Internet Plug-Ins:QuickTime Plugin.plugin
The QuickTime Plugin allows you to view a wide variety of multimedia content in
web pages. For more information, visit the QuickTime Web site.

Mime Type Description Suffixes Enabled
video/quicktime QuickTime Movie mov,qt Yes
audio/wav WAV Audio wav Yes
audio/x-wav WAV Audio wav Yes
audio/aiff AIFF Audio aiff,aif,aifc Yes
audio/x-aiff AIFF Audio aiff,aif,aifc Yes
audio/basic AU Audio au,snd,ulw Yes
video/x-msvideo Microsoft Video avi,vfw Yes
video/avi Microsoft Video avi,vfw Yes
video/msvideo Microsoft Video avi,vfw Yes
video/flc FLC Animation flc,fli Yes
audio/midi MIDI midi,mid,smf,kar Yes
audio/x-midi MIDI midi,mid,smf,kar Yes
audio/mid MIDI midi,mid,smf,kar Yes
audio/vnd.qcelp QCP Audio qcp Yes
application/x-rtsp Real Time Streaming Protocol rtsp,rts Yes
application/sdp Session Description Protocol sdp Yes
image/x-sgi SGI Image sgi,rgb Yes
image/x-photoshop Photoshop Image psd Yes
image/x-bmp Windows BMP Image bmp Yes
image/x-macpaint MacPaint Image pntg,pnt,mac Yes
image/pict PICT Image pict,pic,pct Yes
image/x-pict PICT Image pict,pic,pct Yes
image/png PNG Image png Yes
image/x-png PNG Image png Yes
image/x-quicktime QuickTime Image qtif,qti Yes
image/x-targa Targa Truevision Image targa,tga Yes
image/tiff TIFF Image tif,tiff Yes
image/x-tiff TIFF Image tif,tiff Yes
audio/mpeg MP3 Audio mp3 Yes
audio/x-mpeg MP3 Audio mp3 Yes



Reproducible: Sometimes
Steps to Reproduce:
Don't know if reproducible because I do not want to crash filling out t his
report. Will try after filing this report.

Steps to dplicate are part of the report.

1.
2.
3.

Actual Results:  See above in steps to repoduce

Expected Results:  File to download

Mac OS X Consle log and about plugs in the body of the report. 

Here is the basic summary from the console log

Command:    Mozilla
PID:        334

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

I am running Mac OS 10.1.3
Not sure why going to an ftp site would trigger this.

-> plugins based on stack
Assignee: bbaetz → beppe
Component: Networking: FTP → Plug-ins
QA Contact: benc → shrir

Comment 2

16 years ago
WorksForMe using FizzillaCFM/2002041712 (RC1).

Be aware that Alan posted five Crash Reports in his initial description. I
presume the crash he's referring to is the last of the five.

Alan, can you still reproduce this problem using a current build?
Severity: normal → critical
Summary: Clicked on Monzilla Mac OS X trunk and immediate crash → Clicked on Mozilla Mac OS X trunk and immediate crash

Comment 3

16 years ago
WFM on newest build. report, please reopen if it is still happening for you on 
your system. marking WFM.

anthonyd
Status: UNCONFIRMED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.